/**
 * jquery.area.js
 * 移动端省市区三级联动选择插件
 * author: 锐不可挡
 * date: 2016-06-17
**/

/*定义三级省市区数据*/

// = 	["北京市", "天津市", "河北省", "河南省", "山西省", "山东省", "内蒙古自治区", "辽宁省", "吉林省", "黑龙江省", "上海市", "江苏省", "浙江省", "福建省", "江西省", "安徽省", "湖北省", "湖南省", "广东省", "广西壮族自治区", "海南省", "重庆市", "四川省", "贵州省", "云南省", "西藏自治区", "陕西省", "甘肃省", "青海省", "宁夏回族自治区", "新疆维吾尔自治区", "台湾省", "香港特别行政区", "澳门特别行政区"];
var province,city,district ,success;	      	  
var expressArea, areaCont, sCity, CS, XQ, towns, areaList = $("#areaList"), areaTop = areaList.offset().top;
         var Sessionkey = appcan.getLocVal('sessionkey');
       // var Sessionkey = 'E0CD36784F6F84CCE3C07566B401FA33';         
         var pCarurl = serverIp1 +'ws/JDAddress_list.action?';
        
$(function() {
	/*打开省市区选项*/
	 var page_size = {
                'page_size' : 100
            }
	appcan.button("#expressArea", "", function() {		    
            $("#areaLayer").removeClass('none')
          appcan.request.ajax({
                type: 'GET',
                url: pCarurl,
                contentType: 'application/json',
                data : page_size,
                dataType:'json',
                async:true,
                success:function(data){
                    console.log(data)
                  $("#areaMask").fadeIn();
                  $("#areaLayer").animate({"bottom": 0}); 
                 province = data.list;
                 intProvince();
                },
                    
                error:function(){
                }
            });
	});
	/*关闭省市区选项*/
	appcan.button("#areaMask, #closeArea", "", function() { 
		clockArea();
	});
});

/*初始化省份*/
function intProvince() {
    areaCont = "";
    for (var i=0; i<province.length; i++) {
        areaCont += '<li onClick="selectP(' + i + ');">' + province[i].name + '</li>';
    }
    areaList.html(areaCont);
    $("#areaBox").scrollTop(0);
    $("#backUp").removeAttr("onClick").hide();
}

/*选择省份*/
function selectP(p) {
     CS = province[p].jdId;
    var parentId = {
        parentId : CS,
        page_size : 100
    }
     appcan.request.ajax({
                type: 'GET',
                url: pCarurl,
                data:parentId,
                contentType: 'application/json',
                dataType:'json',
                async:false,
                success:function(data){                   
                 city = data.list;
                   areaCont = "";
                    areaList.html("");
                    for (var j=0; j<city.length; j++) {
                        areaCont += '<li onClick="selectC('+p+','+j+');">' + city[j].name + '</li>';
                    }
                    areaList.html(areaCont);
                    $("#areaBox").scrollTop(0);
                //    expressArea = province[p].name + " > ";                        
                    $("#backUp").attr("onClick", "intProvince();").show();              
                },
                    
                error:function(){
                    
                }
            });   
}

/*选择城市*/
function selectC(p,c) {
    sCity = city[c].jdId;  
      areaCont = "";  
     var parentId = {
        parentId : sCity,
        page_size : 100
    } 
     appcan.request.ajax({
                type: 'GET',
                url: pCarurl,
                data:parentId,
                contentType: 'application/json',
                dataType:'json',
                async:false,
                success:function(data){ 
                    district = data.list;                  
                for (var k=0; k<district.length; k++) {
                        areaCont += '<li onClick="selectS(' + p + ',' + c + ',' + k + ');">' + district[k].name + '</li>';
                    }
                    areaList.html(areaCont);
                    $("#areaBox").scrollTop(0);
                 //   expressArea =city[c].name + " > "              
                    $("#backUp").attr("onClick", "selectP(" + p + ");");
                },
                    
                error:function(){
                    
                }
     }); 
      

}
function selectS(p,c,d){
    XQ = district[d].jdId;
    var parentId = {
        parentId : XQ,
        page_size : 100
    } 
     appcan.request.ajax({
                type: 'GET',
                url: pCarurl,
                data:parentId,
                contentType: 'application/json',
                dataType:'json',
                async:false,
                success:function(data){                  
                 success = data.list;
                  if(success.length >= 1){
                       areaCont = "";
                    for (var s=0; s<success.length; s++) {
                        areaCont += '<li onClick="selectD('+ p +','+ c +','+ d +','+ s +')">' + success[s].name + '</li>';
                    }                
                    areaList.html(areaCont);
                  //  expressArea = district[d].name + " > ";
                    $("#areaBox").scrollTop(0);
                  }else{
                        clockArea();
                        expressArea = province[p].name + '/' +city[c].name+ '/' +district[d].name;
                        $("#expressArea dl dd").html(expressArea);
                  }
                   
                },
                    
                error:function(){
                    
                }
     }); 
    $("#backUp").attr("onClick", "selectP(" + p + ");");
}
/*选择区县*/
function selectD(p,c,d,s) {
    towns = success[s].jdId;
    clockArea();
    expressArea = province[p].name + '/' +city[c].name+ '/' +district[d].name+ '/' +success[s].name;
    $("#expressArea dl dd").html(expressArea);
}

/*关闭省市区选项*/
function clockArea() {
    $("#areaMask").fadeOut();
    $("#areaLayer").animate({"bottom": "-100%"});
    intProvince();
}