/*语言包

 v1.0 by dongfucheng 2015-10-20*/

/*中文*/
var zh_cn = {
    "LAN_LOGIN_FORGET_PWD" : "忘记密码",

    //errcode start
    "15805" : "对手方机构代码无效",
    "15815" : "对手方交易用户ID无效",
    "54003" : "用户ID和用户名称不匹配",
    "54005" : "机构和对应的交易员不匹配",
    "54006" : "本方机构和对应的交易员不匹配",
    "54007" : "对手方机构和对应的交易员不匹配",

    //errcode end
};

/*英语*/
var en_us = {
    "LAN_LOGIN_FORGET_PWD" : "Forget Password",

    "15805" : "Counterparty entity code is invalid",
    "15815" : "Counterparty user ID is invalid",
    "54003" : "User ID and user encode description mismatch",
    "54005" : "Entity code and user id mismatch",
    "54006" : "Member entity code and user id mismatch",
    "54007" : "Counter party entity code and user id mismatch",

};

if (!window.TOOLS) {
    tools = {};
}
/*语言*/
var language = {
    "zh_cn" : zh_cn,
    "en_us" : en_us
};
/*****************调试使用*********************************************************/

/*根据id获取相应语言*/
tools.getString = function(id) {
    //启动工程时，需要写入 用户选择的语言类型
    var lan = localStorage["LANGUAGE"] || "zh_cn";
    var str = language[lan];
    //根据语言获取语言对象
    if (str) {
        return str[id] ? str[id] : "";
    } else {
        return "";
    }
}
/*初始化网页中的文字*/
tools.initLan = function() {
    var items = $("[data-lan]");
    for (var i = 0; i < items.length; i++) {
        var item = $(items[i]);
        var id = item.attr("data-lan");
        item.text(tools.getString(id));
    }
    // alert(getString ("100"));
}

tools.setLan = function(lan) {
    localStorage["LANGUAGE"] = lan || "zh_cn";
}

tools.initLan();
