var cliamBasicInfoView = MVVM.ViewModel.extend({
    model : new cliamBasicInfoModel(),
    events : {
        'init' : 'submitLogin'
    },
    submitLogin : function() {
        if (!this.model.isValid()) {
            appcan.window.openToast(this.model.validationError,1500);
            return false;
        }
        this.model.save({}, {
            url:"claim_basic_info",
            success : function(model, resp, options) {
                var data = JSON.parse(resp);
                alert(data);
            },
            error : function(model, error, options) {
                appcan.window.alert({
                    title : "警告",
                    content : error,
                    buttons : '确定',
                    callback : function(err, data, dataType, optId) {
                        console.log(err, data, dataType, optId);
                    }
                });
            }
        });
        return false;
    }
});

var cliamBasicInfoViewInstance = new cliamBasicInfoView();